Freeciv-3.3: client_options Struct Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Data Fields
client_options Struct Reference

`#include <options.h>`

## Data Fields

char | default_user_name [512]
char | default_server_host [512]
int | default_server_port
bool | use_prev_server
bool | heartbeat_enabled
bool | send_desired_settings
char | default_metaserver [512]
char | followtag_override [5112]
char | default_tileset_square_name [512]
char | default_tileset_hex_name [512]
char | default_tileset_isohex_name [512]
char | default_sound_set_name [512]
char | default_music_set_name [512]
char | default_sound_plugin_name [512]
char | default_chat_logfile [512]
int | default_topology
bool | save_options_on_exit
bool | first_boot
char | default_tileset_name [512]
char | default_tileset_overhead_name [512]
char | default_tileset_iso_name [512]
bool | gui_gtk3_migrated_from_gtk2
bool | gui_gtk3_22_migrated_from_gtk3
bool | gui_gtk5_migrated_from_gtk4
bool | gui_gtk4_migrated_from_gtk3_22
bool | gui_sdl2_migrated_from_sdl
bool | gui_sdl3_migrated_from_sdl2
bool | gui_gtk2_migrated_from_2_5
bool | gui_gtk3_migrated_from_2_5
bool | gui_qt_migrated_from_2_5
bool | gui_qt_default_fonts_set
bool | gui_sdl2_default_screen_size_set
bool | gui_sdl3_default_screen_size_set
bool | migrate_fullscreen
bool | solid_color_behind_units
bool | sound_bell_at_new_turn
int | smooth_move_unit_msec
int | smooth_center_slide_msec
int | smooth_combat_step_msec
bool | ai_manual_turn_done
bool | auto_center_on_unit
bool | auto_center_on_automated
bool | auto_center_on_combat
bool | auto_center_each_turn
bool | wakeup_focus
bool | goto_into_unknown
bool | center_when_popup_city
bool | show_previous_turn_messages
bool | concise_city_production
bool | auto_turn_done
bool | meta_accelerators
bool | ask_city_name
bool | popup_new_cities
bool | popup_actor_arrival
bool | popup_attack_actions
bool | popup_last_move_to_allied
bool | update_city_text_in_refresh_tile
bool | keyboardless_goto
bool | enable_cursor_changes
bool | separate_unit_selection
bool | unit_selection_clears_orders
struct ft_color | highlight_our_names
bool | voteinfo_bar_use
bool | voteinfo_bar_always_show
bool | voteinfo_bar_hide_when_not_player
bool | voteinfo_bar_new_at_front
bool | autoaccept_tileset_suggestion
bool | autoaccept_soundset_suggestion
bool | autoaccept_musicset_suggestion
bool | sound_enable_effects
bool | sound_enable_menu_music
bool | sound_enable_game_music
int | sound_effects_volume
bool | silent_when_not_in_focus
bool | draw_city_outlines
bool | draw_city_output
bool | draw_map_grid
bool | draw_city_names
bool | draw_city_growth
bool | draw_city_productions
bool | draw_city_buycost
bool | draw_city_trade_routes
bool | draw_terrain
bool | draw_coastline
bool | draw_paths
bool | draw_irrigation
bool | draw_mines
bool | draw_fortress_airbase
bool | draw_specials
bool | draw_huts
bool | draw_pollution
bool | draw_cities
bool | draw_units
bool | draw_focus_unit
bool | draw_fog_of_war
bool | draw_borders
bool | draw_native
bool | draw_full_citybar
bool | draw_unit_shields
bool | draw_unit_stack_size
bool | player_dlg_show_dead_players
bool | reqtree_show_icons
bool | reqtree_curved_lines
char | mapimg_format [64]
int | mapimg_zoom
bool | mapimg_layer [MAPIMG_LAYER_COUNT]
char | mapimg_filename [512]
bool | zoom_set
float | zoom_default_level
bool | gui_gtk2_map_scrollbars
bool | gui_gtk2_dialogs_on_top
bool | gui_gtk2_show_task_icons
bool | gui_gtk2_enable_tabs
bool | gui_gtk2_better_fog
bool | gui_gtk2_show_chat_message_time
bool | gui_gtk2_new_messages_go_to_top
bool | gui_gtk2_show_message_window_buttons
bool | gui_gtk2_metaserver_tab_first
bool | gui_gtk2_allied_chat_only
bool | gui_gtk2_mouse_over_map_focus
bool | gui_gtk2_chatline_autocompletion
int | gui_gtk2_citydlg_xsize
int | gui_gtk2_citydlg_ysize
int | gui_gtk2_popup_tech_help
char | gui_gtk2_font_city_label [FONT_NAME_SIZE]
char | gui_gtk2_font_notify_label [FONT_NAME_SIZE]
char | gui_gtk2_font_spaceship_label [FONT_NAME_SIZE]
char | gui_gtk2_font_help_label [FONT_NAME_SIZE]
char | gui_gtk2_font_help_link [FONT_NAME_SIZE]
char | gui_gtk2_font_help_text [FONT_NAME_SIZE]
char | gui_gtk2_font_chatline [FONT_NAME_SIZE]
char | gui_gtk2_font_beta_label [FONT_NAME_SIZE]
char | gui_gtk2_font_small [FONT_NAME_SIZE]
char | gui_gtk2_font_comment_label [FONT_NAME_SIZE]
char | gui_gtk2_font_city_names [FONT_NAME_SIZE]
char | gui_gtk2_font_city_productions [FONT_NAME_SIZE]
char | gui_gtk2_font_reqtree_text [FONT_NAME_SIZE]
bool | gui_gtk3_fullscreen
bool | gui_gtk3_map_scrollbars
bool | gui_gtk3_dialogs_on_top
bool | gui_gtk3_show_task_icons
bool | gui_gtk3_enable_tabs
bool | gui_gtk3_show_chat_message_time
bool | gui_gtk3_new_messages_go_to_top
bool | gui_gtk3_show_message_window_buttons
bool | gui_gtk3_metaserver_tab_first
bool | gui_gtk3_allied_chat_only
int | gui_gtk3_message_chat_location
bool | gui_gtk3_small_display_layout
bool | gui_gtk3_mouse_over_map_focus
bool | gui_gtk3_chatline_autocompletion
int | gui_gtk3_citydlg_xsize
int | gui_gtk3_citydlg_ysize
int | gui_gtk3_popup_tech_help
int | gui_gtk3_governor_range_min
int | gui_gtk3_governor_range_max
char | gui_gtk3_font_city_label [FONT_NAME_SIZE]
char | gui_gtk3_font_notify_label [FONT_NAME_SIZE]
char | gui_gtk3_font_spaceship_label [FONT_NAME_SIZE]
char | gui_gtk3_font_help_label [FONT_NAME_SIZE]
char | gui_gtk3_font_help_link [FONT_NAME_SIZE]
char | gui_gtk3_font_help_text [FONT_NAME_SIZE]
char | gui_gtk3_font_chatline [FONT_NAME_SIZE]
char | gui_gtk3_font_beta_label [FONT_NAME_SIZE]
char | gui_gtk3_font_small [FONT_NAME_SIZE]
char | gui_gtk3_font_comment_label [FONT_NAME_SIZE]
char | gui_gtk3_font_city_names [FONT_NAME_SIZE]
char | gui_gtk3_font_city_productions [FONT_NAME_SIZE]
char | gui_gtk3_font_reqtree_text [FONT_NAME_SIZE]
char | gui_gtk3_22_default_theme_name [512]
bool | gui_gtk3_22_fullscreen
bool | gui_gtk3_22_map_scrollbars
bool | gui_gtk3_22_dialogs_on_top
bool | gui_gtk3_22_show_task_icons
bool | gui_gtk3_22_enable_tabs
bool | gui_gtk3_22_show_chat_message_time
bool | gui_gtk3_22_new_messages_go_to_top
bool | gui_gtk3_22_show_message_window_buttons
bool | gui_gtk3_22_metaserver_tab_first
bool | gui_gtk3_22_allied_chat_only
int | gui_gtk3_22_message_chat_location
bool | gui_gtk3_22_small_display_layout
bool | gui_gtk3_22_mouse_over_map_focus
bool | gui_gtk3_22_chatline_autocompletion
int | gui_gtk3_22_citydlg_xsize
int | gui_gtk3_22_citydlg_ysize
int | gui_gtk3_22_popup_tech_help
int | gui_gtk3_22_governor_range_min
int | gui_gtk3_22_governor_range_max
char | gui_gtk3_22_font_city_label [FONT_NAME_SIZE]
char | gui_gtk3_22_font_notify_label [FONT_NAME_SIZE]
char | gui_gtk3_22_font_spaceship_label [FONT_NAME_SIZE]
char | gui_gtk3_22_font_help_label [FONT_NAME_SIZE]
char | gui_gtk3_22_font_help_link [FONT_NAME_SIZE]
char | gui_gtk3_22_font_help_text [FONT_NAME_SIZE]
char | gui_gtk3_22_font_chatline [FONT_NAME_SIZE]
char | gui_gtk3_22_font_beta_label [FONT_NAME_SIZE]
char | gui_gtk3_22_font_small [FONT_NAME_SIZE]
char | gui_gtk3_22_font_comment_label [FONT_NAME_SIZE]
char | gui_gtk3_22_font_city_names [FONT_NAME_SIZE]
char | gui_gtk3_22_font_city_productions [FONT_NAME_SIZE]
char | gui_gtk3_22_font_reqtree_text [FONT_NAME_SIZE]
char | gui_gtk4_default_theme_name [512]
bool | gui_gtk4_fullscreen
bool | gui_gtk4_map_scrollbars
bool | gui_gtk4_dialogs_on_top
bool | gui_gtk4_show_task_icons
bool | gui_gtk4_enable_tabs
bool | gui_gtk4_show_chat_message_time
bool | gui_gtk4_new_messages_go_to_top
bool | gui_gtk4_show_message_window_buttons
bool | gui_gtk4_metaserver_tab_first
bool | gui_gtk4_allied_chat_only
int | gui_gtk4_message_chat_location
bool | gui_gtk4_small_display_layout
bool | gui_gtk4_mouse_over_map_focus
bool | gui_gtk4_chatline_autocompletion
int | gui_gtk4_citydlg_xsize
int | gui_gtk4_citydlg_ysize
int | gui_gtk4_popup_tech_help
int | gui_gtk4_governor_range_min
int | gui_gtk4_governor_range_max
char | gui_gtk4_font_city_label [FONT_NAME_SIZE]
char | gui_gtk4_font_notify_label [FONT_NAME_SIZE]
char | gui_gtk4_font_spaceship_label [FONT_NAME_SIZE]
char | gui_gtk4_font_help_label [FONT_NAME_SIZE]
char | gui_gtk4_font_help_link [FONT_NAME_SIZE]
char | gui_gtk4_font_help_text [FONT_NAME_SIZE]
char | gui_gtk4_font_chatline [FONT_NAME_SIZE]
char | gui_gtk4_font_beta_label [FONT_NAME_SIZE]
char | gui_gtk4_font_small [FONT_NAME_SIZE]
char | gui_gtk4_font_comment_label [FONT_NAME_SIZE]
char | gui_gtk4_font_city_names [FONT_NAME_SIZE]
char | gui_gtk4_font_city_productions [FONT_NAME_SIZE]
char | gui_gtk4_font_reqtree_text [FONT_NAME_SIZE]
char | gui_gtk5_default_theme_name [512]
bool | gui_gtk5_fullscreen
bool | gui_gtk5_map_scrollbars
bool | gui_gtk5_dialogs_on_top
bool | gui_gtk5_show_task_icons
bool | gui_gtk5_enable_tabs
bool | gui_gtk5_show_chat_message_time
bool | gui_gtk5_new_messages_go_to_top
bool | gui_gtk5_show_message_window_buttons
bool | gui_gtk5_metaserver_tab_first
bool | gui_gtk5_allied_chat_only
int | gui_gtk5_message_chat_location
bool | gui_gtk5_small_display_layout
bool | gui_gtk5_mouse_over_map_focus
bool | gui_gtk5_chatline_autocompletion
int | gui_gtk5_citydlg_xsize
int | gui_gtk5_citydlg_ysize
int | gui_gtk5_popup_tech_help
int | gui_gtk5_governor_range_min
int | gui_gtk5_governor_range_max
char | gui_gtk5_font_city_label [FONT_NAME_SIZE]
char | gui_gtk5_font_notify_label [FONT_NAME_SIZE]
char | gui_gtk5_font_spaceship_label [FONT_NAME_SIZE]
char | gui_gtk5_font_help_label [FONT_NAME_SIZE]
char | gui_gtk5_font_help_link [FONT_NAME_SIZE]
char | gui_gtk5_font_help_text [FONT_NAME_SIZE]
char | gui_gtk5_font_chatline [FONT_NAME_SIZE]
char | gui_gtk5_font_beta_label [FONT_NAME_SIZE]
char | gui_gtk5_font_small [FONT_NAME_SIZE]
char | gui_gtk5_font_comment_label [FONT_NAME_SIZE]
char | gui_gtk5_font_city_names [FONT_NAME_SIZE]
char | gui_gtk5_font_city_productions [FONT_NAME_SIZE]
char | gui_gtk5_font_reqtree_text [FONT_NAME_SIZE]
bool | gui_sdl_fullscreen
struct video_mode | gui_sdl_screen
bool | gui_sdl_do_cursor_animation
bool | gui_sdl_use_color_cursors
char | gui_sdl2_default_theme_name [512]
bool | gui_sdl2_fullscreen
struct video_mode | gui_sdl2_screen
bool | gui_sdl2_swrenderer
bool | gui_sdl2_do_cursor_animation
bool | gui_sdl2_use_color_cursors
char | gui_sdl2_font_city_names [64]
char | gui_sdl2_font_city_productions [64]
bool | gui_sdl2_use_theme_font_size
int | gui_sdl2_font_size
char | gui_sdl3_default_theme_name [512]
bool | gui_sdl3_fullscreen
struct video_mode | gui_sdl3_screen
bool | gui_sdl3_swrenderer
bool | gui_sdl3_do_cursor_animation
bool | gui_sdl3_use_color_cursors
char | gui_sdl3_font_city_names [64]
char | gui_sdl3_font_city_productions [64]
bool | gui_sdl3_use_theme_font_size
int | gui_sdl3_font_size
bool | gui_qt_fullscreen
bool | gui_qt_show_preview
bool | gui_qt_allied_chat_only
bool | gui_qt_sidebar_left
char | gui_qt_default_theme_name [512]
char | gui_qt_font_default [FONT_NAME_SIZE]
char | gui_qt_font_notify_label [FONT_NAME_SIZE]
char | gui_qt_font_help_label [FONT_NAME_SIZE]
char | gui_qt_font_help_text [FONT_NAME_SIZE]
char | gui_qt_font_chatline [FONT_NAME_SIZE]
char | gui_qt_font_city_names [FONT_NAME_SIZE]
char | gui_qt_font_city_productions [FONT_NAME_SIZE]
char | gui_qt_font_reqtree_text [FONT_NAME_SIZE]
bool | gui_qt_show_titlebar
char | gui_qt_wakeup_text [512]
bool | gui_qt_show_relations_panel
bool | gui_qt_show_techs_panel
bool | gui_qt_show_wonders_panel
bool | gui_qt_svgflags
struct overview | overview

## Detailed Description

Definition at line 106 of file options.h.

## Field Documentation

## ◆ ai_manual_turn_done

bool client_options::ai_manual_turn_done

Definition at line 155 of file options.h.

Referenced by get_turn_done_button_state(), handle_player_info(), handle_start_phase(), and redraw_unit_info_label().

## ◆ ask_city_name

bool client_options::ask_city_name

Definition at line 167 of file options.h.

Referenced by handle_city_name_suggestion_info().

## ◆ auto_center_each_turn

bool client_options::auto_center_each_turn

Definition at line 159 of file options.h.

Referenced by set_client_state().

## ◆ auto_center_on_automated

bool client_options::auto_center_on_automated

Definition at line 157 of file options.h.

Referenced by do_move_unit().

## ◆ auto_center_on_combat

bool client_options::auto_center_on_combat

Definition at line 158 of file options.h.

Referenced by handle_unit_combat_info().

## ◆ auto_center_on_unit

bool client_options::auto_center_on_unit

Definition at line 156 of file options.h.

Referenced by auto_center_on_focus_unit(), do_move_unit(), map_view::map_view(), map_view::shortcut_pressed(), and map_view::shortcut_released().

## ◆ auto_turn_done

bool client_options::auto_turn_done

Definition at line 165 of file options.h.

Referenced by unit_focus_advance().

## ◆ autoaccept_musicset_suggestion

bool client_options::autoaccept_musicset_suggestion

Definition at line 186 of file options.h.

Referenced by handle_ruleset_control().

## ◆ autoaccept_soundset_suggestion

bool client_options::autoaccept_soundset_suggestion

Definition at line 185 of file options.h.

Referenced by handle_ruleset_control().

## ◆ autoaccept_tileset_suggestion

bool client_options::autoaccept_tileset_suggestion

Definition at line 184 of file options.h.

Referenced by handle_ruleset_control().

## ◆ center_when_popup_city

bool client_options::center_when_popup_city

Definition at line 162 of file options.h.

Referenced by city_widget::city_view(), meswin_popup_city(), notify_goto_response(), and popup_iterate().

## ◆ concise_city_production

bool client_options::concise_city_production

Definition at line 164 of file options.h.

Referenced by cr_entry_building(), and get_city_dialog_production().

## ◆ default_chat_logfile

char client_options::default_chat_logfile[512]

Definition at line 122 of file options.h.

Referenced by write_chatline_content().

## ◆ default_metaserver

char client_options::default_metaserver[512]

Definition at line 114 of file options.h.

Referenced by client_main().

## ◆ default_music_set_name

char client_options::default_music_set_name[512]

Definition at line 120 of file options.h.

Referenced by client_main().

## ◆ default_server_host

char client_options::default_server_host[512]

Definition at line 109 of file options.h.

Referenced by client_main(), and connect_to_server().

## ◆ default_server_port

int client_options::default_server_port

Definition at line 110 of file options.h.

Referenced by client_main(), and connect_to_server().

## ◆ default_sound_plugin_name

char client_options::default_sound_plugin_name[512]

Definition at line 121 of file options.h.

Referenced by client_main().

## ◆ default_sound_set_name

char client_options::default_sound_set_name[512]

Definition at line 119 of file options.h.

Referenced by client_main().

## ◆ default_tileset_hex_name

char client_options::default_tileset_hex_name[512]

Definition at line 117 of file options.h.

## ◆ default_tileset_iso_name

char client_options::default_tileset_iso_name[512]

Definition at line 132 of file options.h.

## ◆ default_tileset_isohex_name

char client_options::default_tileset_isohex_name[512]

Definition at line 118 of file options.h.

## ◆ default_tileset_name

char client_options::default_tileset_name[512]

Definition at line 130 of file options.h.

Referenced by default_tileset_select().

## ◆ default_tileset_overhead_name

char client_options::default_tileset_overhead_name[512]

Definition at line 131 of file options.h.

## ◆ default_tileset_square_name

char client_options::default_tileset_square_name[512]

Definition at line 116 of file options.h.

## ◆ default_topology

int client_options::default_topology

Definition at line 123 of file options.h.

Referenced by default_tileset_select(), tilespec_reread_callback(), and tilespec_try_read().

## ◆ default_user_name

char client_options::default_user_name[512]

Definition at line 108 of file options.h.

Referenced by client_main().

## ◆ draw_borders

bool client_options::draw_borders

Definition at line 215 of file options.h.

Referenced by fill_grid_sprite_array(), real_menus_init(), refresh_city_mapcanvas(), request_toggle_map_borders(), mr_menu::setup_menus(), and show_national_borders_callback().

## ◆ draw_cities

bool client_options::draw_cities

Definition at line 211 of file options.h.

Referenced by fill_irrigation_sprite_array(), fill_road_sprite_array(), fill_sprite_array(), real_menus_init(), request_toggle_cities(), and show_cities_callback().

## ◆ draw_city_buycost

bool client_options::draw_city_buycost

Definition at line 200 of file options.h.

Referenced by append_city_buycost_string(), real_menus_init(), request_toggle_city_buycost(), mr_menu::setup_menus(), and show_city_buy_cost_callback().

## ◆ draw_city_growth

bool client_options::draw_city_growth

Definition at line 198 of file options.h.

Referenced by handle_city_info(), real_menus_init(), request_toggle_city_growth(), mr_menu::setup_menus(), show_city_descriptions(), show_city_growth_callback(), show_full_citybar(), and show_small_citybar().

## ◆ draw_city_names

bool client_options::draw_city_names

Definition at line 197 of file options.h.

Referenced by handle_city_info(), handle_city_short_info(), real_menus_init(), request_toggle_city_names(), mr_menu::setup_menus(), show_city_descriptions(), show_city_names_callback(), show_full_citybar(), show_small_citybar(), view_menu_update_sensitivity(), and view_menu_update_sensitivity().

## ◆ draw_city_outlines

bool client_options::draw_city_outlines

Definition at line 194 of file options.h.

Referenced by fill_grid_sprite_array(), real_menus_init(), request_toggle_city_outlines(), mr_menu::setup_menus(), show_city_outlines_callback(), and unit_drawn_with_city_outline().

## ◆ draw_city_output

bool client_options::draw_city_output

Definition at line 195 of file options.h.

Referenced by fill_city_overlays_sprite_array(), real_menus_init(), request_toggle_city_output(), mr_menu::setup_menus(), and show_city_output_callback().

## ◆ draw_city_productions

bool client_options::draw_city_productions

Definition at line 199 of file options.h.

Referenced by handle_city_info(), real_menus_init(), request_toggle_city_productions(), mr_menu::setup_menus(), show_city_descriptions(), show_city_productions_callback(), show_full_citybar(), show_small_citybar(), view_menu_update_sensitivity(), and view_menu_update_sensitivity().

## ◆ draw_city_trade_routes

bool client_options::draw_city_trade_routes

Definition at line 201 of file options.h.

Referenced by draw_calculated_trade_routes(), draw_trade_routes(), handle_city_info(), handle_trade_route_info(), real_menus_init(), request_toggle_city_trade_routes(), mr_menu::setup_menus(), show_city_trade_routes_callback(), show_full_citybar(), and show_small_citybar().

## ◆ draw_coastline

bool client_options::draw_coastline

Definition at line 203 of file options.h.

Referenced by fill_grid_sprite_array(), real_menus_init(), request_toggle_coastline(), and show_coastline_callback().

## ◆ draw_focus_unit

bool client_options::draw_focus_unit

Definition at line 213 of file options.h.

Referenced by fill_sprite_array(), real_menus_init(), request_toggle_focus_unit(), show_focus_unit_callback(), view_menu_update_sensitivity(), and view_menu_update_sensitivity().

## ◆ draw_fog_of_war

bool client_options::draw_fog_of_war

Definition at line 214 of file options.h.

Referenced by fill_fog_sprite_array(), put_one_element(), real_menus_init(), request_toggle_fog_of_war(), and show_fog_of_war_callback().

## ◆ draw_fortress_airbase

bool client_options::draw_fortress_airbase

Definition at line 207 of file options.h.

Referenced by is_extra_drawing_enabled(), real_menus_init(), request_toggle_bases(), and show_bases_callback().

## ◆ draw_full_citybar

bool client_options::draw_full_citybar

Definition at line 217 of file options.h.

Referenced by fill_sprite_array(), get_citybar_sprites(), handle_city_short_info(), handle_unit_packet_common(), real_menus_init(), request_toggle_city_full_bar(), mr_menu::setup_menus(), show_city_desc(), show_city_descriptions(), show_city_full_bar_callback(), view_menu_update_sensitivity(), and view_menu_update_sensitivity().

## ◆ draw_huts

bool client_options::draw_huts

Definition at line 209 of file options.h.

Referenced by is_extra_drawing_enabled(), real_menus_init(), request_toggle_huts(), and show_huts_callback().

## ◆ draw_irrigation

bool client_options::draw_irrigation

Definition at line 205 of file options.h.

Referenced by is_extra_drawing_enabled(), real_menus_init(), request_toggle_irrigation(), and show_irrigation_callback().

## ◆ draw_map_grid

bool client_options::draw_map_grid

Definition at line 196 of file options.h.

Referenced by fill_grid_sprite_array(), real_menus_init(), refresh_city_mapcanvas(), request_toggle_map_grid(), mr_menu::setup_menus(), and show_map_grid_callback().

## ◆ draw_mines

bool client_options::draw_mines

Definition at line 206 of file options.h.

Referenced by is_extra_drawing_enabled(), real_menus_init(), request_toggle_mines(), and show_mine_callback().

## ◆ draw_native

bool client_options::draw_native

Definition at line 216 of file options.h.

Referenced by fill_grid_sprite_array(), real_menus_init(), refresh_unit_mapcanvas(), request_toggle_map_native(), mr_menu::setup_menus(), and show_native_tiles_callback().

## ◆ draw_paths

bool client_options::draw_paths

Definition at line 204 of file options.h.

Referenced by is_extra_drawing_enabled(), real_menus_init(), request_toggle_paths(), and show_paths_callback().

## ◆ draw_pollution

bool client_options::draw_pollution

Definition at line 210 of file options.h.

Referenced by is_extra_drawing_enabled(), real_menus_init(), request_toggle_pollution(), and show_pollution_callback().

## ◆ draw_specials

bool client_options::draw_specials

Definition at line 208 of file options.h.

Referenced by is_extra_drawing_enabled(), real_menus_init(), request_toggle_resources(), and show_resources_callback().

## ◆ draw_terrain

bool client_options::draw_terrain

Definition at line 202 of file options.h.

Referenced by fill_grid_sprite_array(), fill_sprite_array(), real_menus_init(), request_toggle_terrain(), show_terrain_callback(), view_menu_update_sensitivity(), and view_menu_update_sensitivity().

## ◆ draw_unit_shields

bool client_options::draw_unit_shields

Definition at line 218 of file options.h.

Referenced by get_unit_nation_flag_sprite(), real_menus_init(), request_toggle_unit_shields(), and show_unit_shields_callback().

## ◆ draw_unit_stack_size

bool client_options::draw_unit_stack_size

Definition at line 219 of file options.h.

Referenced by fill_unit_sprite_array(), real_menus_init(), request_toggle_unit_stack_size(), mr_menu::setup_menus(), and show_stack_size_callback().

## ◆ draw_units

bool client_options::draw_units

Definition at line 212 of file options.h.

Referenced by fill_sprite_array(), real_menus_init(), request_toggle_units(), show_units_callback(), view_menu_update_sensitivity(), and view_menu_update_sensitivity().

## ◆ enable_cursor_changes

bool client_options::enable_cursor_changes

Definition at line 174 of file options.h.

Referenced by control_mouse_cursor().

## ◆ first_boot

bool client_options::first_boot

Migrations

Definition at line 128 of file options.h.

Referenced by activate_gui(), qtg_ui_main(), and ui_main().

## ◆ followtag_override

char client_options::followtag_override[5112]

Definition at line 115 of file options.h.

## ◆ goto_into_unknown

bool client_options::goto_into_unknown

Definition at line 161 of file options.h.

Referenced by get_TB_aggr(), get_TB_caravan(), and no_fights_or_unknown_goto().

## ◆ gui_gtk2_allied_chat_only

bool client_options::gui_gtk2_allied_chat_only

Definition at line 245 of file options.h.

## ◆ gui_gtk2_better_fog

bool client_options::gui_gtk2_better_fog

Definition at line 240 of file options.h.

## ◆ gui_gtk2_chatline_autocompletion

bool client_options::gui_gtk2_chatline_autocompletion

Definition at line 247 of file options.h.

## ◆ gui_gtk2_citydlg_xsize

int client_options::gui_gtk2_citydlg_xsize

Definition at line 248 of file options.h.

## ◆ gui_gtk2_citydlg_ysize

int client_options::gui_gtk2_citydlg_ysize

Definition at line 249 of file options.h.

## ◆ gui_gtk2_dialogs_on_top

bool client_options::gui_gtk2_dialogs_on_top

Definition at line 237 of file options.h.

## ◆ gui_gtk2_enable_tabs

bool client_options::gui_gtk2_enable_tabs

Definition at line 239 of file options.h.

## ◆ gui_gtk2_font_beta_label

char client_options::gui_gtk2_font_beta_label[FONT_NAME_SIZE]

Definition at line 258 of file options.h.

## ◆ gui_gtk2_font_chatline

char client_options::gui_gtk2_font_chatline[FONT_NAME_SIZE]

Definition at line 257 of file options.h.

## ◆ gui_gtk2_font_city_label

char client_options::gui_gtk2_font_city_label[FONT_NAME_SIZE]

Definition at line 251 of file options.h.

## ◆ gui_gtk2_font_city_names

char client_options::gui_gtk2_font_city_names[FONT_NAME_SIZE]

Definition at line 261 of file options.h.

## ◆ gui_gtk2_font_city_productions

char client_options::gui_gtk2_font_city_productions[FONT_NAME_SIZE]

Definition at line 262 of file options.h.

## ◆ gui_gtk2_font_comment_label

char client_options::gui_gtk2_font_comment_label[FONT_NAME_SIZE]

Definition at line 260 of file options.h.

## ◆ gui_gtk2_font_help_label

char client_options::gui_gtk2_font_help_label[FONT_NAME_SIZE]

Definition at line 254 of file options.h.

## ◆ gui_gtk2_font_help_link

char client_options::gui_gtk2_font_help_link[FONT_NAME_SIZE]

Definition at line 255 of file options.h.

## ◆ gui_gtk2_font_help_text

char client_options::gui_gtk2_font_help_text[FONT_NAME_SIZE]

Definition at line 256 of file options.h.

## ◆ gui_gtk2_font_notify_label

char client_options::gui_gtk2_font_notify_label[FONT_NAME_SIZE]

Definition at line 252 of file options.h.

## ◆ gui_gtk2_font_reqtree_text

char client_options::gui_gtk2_font_reqtree_text[FONT_NAME_SIZE]

Definition at line 263 of file options.h.

## ◆ gui_gtk2_font_small

char client_options::gui_gtk2_font_small[FONT_NAME_SIZE]

Definition at line 259 of file options.h.

## ◆ gui_gtk2_font_spaceship_label

char client_options::gui_gtk2_font_spaceship_label[FONT_NAME_SIZE]

Definition at line 253 of file options.h.

## ◆ gui_gtk2_map_scrollbars

bool client_options::gui_gtk2_map_scrollbars

Definition at line 236 of file options.h.

## ◆ gui_gtk2_metaserver_tab_first

bool client_options::gui_gtk2_metaserver_tab_first

Definition at line 244 of file options.h.

## ◆ gui_gtk2_migrated_from_2_5

bool client_options::gui_gtk2_migrated_from_2_5

Definition at line 139 of file options.h.

## ◆ gui_gtk2_mouse_over_map_focus

bool client_options::gui_gtk2_mouse_over_map_focus

Definition at line 246 of file options.h.

## ◆ gui_gtk2_new_messages_go_to_top

bool client_options::gui_gtk2_new_messages_go_to_top

Definition at line 242 of file options.h.

## ◆ gui_gtk2_popup_tech_help

int client_options::gui_gtk2_popup_tech_help

Definition at line 250 of file options.h.

## ◆ gui_gtk2_show_chat_message_time

bool client_options::gui_gtk2_show_chat_message_time

Definition at line 241 of file options.h.

## ◆ gui_gtk2_show_message_window_buttons

bool client_options::gui_gtk2_show_message_window_buttons

Definition at line 243 of file options.h.

## ◆ gui_gtk2_show_task_icons

bool client_options::gui_gtk2_show_task_icons

Definition at line 238 of file options.h.

## ◆ gui_gtk3_22_allied_chat_only

bool client_options::gui_gtk3_22_allied_chat_only

Definition at line 312 of file options.h.

## ◆ gui_gtk3_22_chatline_autocompletion

bool client_options::gui_gtk3_22_chatline_autocompletion

Definition at line 316 of file options.h.

## ◆ gui_gtk3_22_citydlg_xsize

int client_options::gui_gtk3_22_citydlg_xsize

Definition at line 317 of file options.h.

## ◆ gui_gtk3_22_citydlg_ysize

int client_options::gui_gtk3_22_citydlg_ysize

Definition at line 318 of file options.h.

## ◆ gui_gtk3_22_default_theme_name

char client_options::gui_gtk3_22_default_theme_name[512]

Definition at line 302 of file options.h.

Referenced by tileset_use_preferred_theme().

## ◆ gui_gtk3_22_dialogs_on_top

bool client_options::gui_gtk3_22_dialogs_on_top

Definition at line 305 of file options.h.

## ◆ gui_gtk3_22_enable_tabs

bool client_options::gui_gtk3_22_enable_tabs

Definition at line 307 of file options.h.

## ◆ gui_gtk3_22_font_beta_label

char client_options::gui_gtk3_22_font_beta_label[FONT_NAME_SIZE]

Definition at line 329 of file options.h.

## ◆ gui_gtk3_22_font_chatline

char client_options::gui_gtk3_22_font_chatline[FONT_NAME_SIZE]

Definition at line 328 of file options.h.

## ◆ gui_gtk3_22_font_city_label

char client_options::gui_gtk3_22_font_city_label[FONT_NAME_SIZE]

Definition at line 322 of file options.h.

## ◆ gui_gtk3_22_font_city_names

char client_options::gui_gtk3_22_font_city_names[FONT_NAME_SIZE]

Definition at line 332 of file options.h.

## ◆ gui_gtk3_22_font_city_productions

char client_options::gui_gtk3_22_font_city_productions[FONT_NAME_SIZE]

Definition at line 333 of file options.h.

## ◆ gui_gtk3_22_font_comment_label

char client_options::gui_gtk3_22_font_comment_label[FONT_NAME_SIZE]

Definition at line 331 of file options.h.

## ◆ gui_gtk3_22_font_help_label

char client_options::gui_gtk3_22_font_help_label[FONT_NAME_SIZE]

Definition at line 325 of file options.h.

## ◆ gui_gtk3_22_font_help_link

char client_options::gui_gtk3_22_font_help_link[FONT_NAME_SIZE]

Definition at line 326 of file options.h.

## ◆ gui_gtk3_22_font_help_text

char client_options::gui_gtk3_22_font_help_text[FONT_NAME_SIZE]

Definition at line 327 of file options.h.

## ◆ gui_gtk3_22_font_notify_label

char client_options::gui_gtk3_22_font_notify_label[FONT_NAME_SIZE]

Definition at line 323 of file options.h.

## ◆ gui_gtk3_22_font_reqtree_text

char client_options::gui_gtk3_22_font_reqtree_text[FONT_NAME_SIZE]

Definition at line 334 of file options.h.

## ◆ gui_gtk3_22_font_small

char client_options::gui_gtk3_22_font_small[FONT_NAME_SIZE]

Definition at line 330 of file options.h.

## ◆ gui_gtk3_22_font_spaceship_label

char client_options::gui_gtk3_22_font_spaceship_label[FONT_NAME_SIZE]

Definition at line 324 of file options.h.

## ◆ gui_gtk3_22_fullscreen

bool client_options::gui_gtk3_22_fullscreen

Definition at line 303 of file options.h.

## ◆ gui_gtk3_22_governor_range_max

int client_options::gui_gtk3_22_governor_range_max

Definition at line 321 of file options.h.

## ◆ gui_gtk3_22_governor_range_min

int client_options::gui_gtk3_22_governor_range_min

Definition at line 320 of file options.h.

## ◆ gui_gtk3_22_map_scrollbars

bool client_options::gui_gtk3_22_map_scrollbars

Definition at line 304 of file options.h.

## ◆ gui_gtk3_22_message_chat_location

int client_options::gui_gtk3_22_message_chat_location

Definition at line 313 of file options.h.

## ◆ gui_gtk3_22_metaserver_tab_first

bool client_options::gui_gtk3_22_metaserver_tab_first

Definition at line 311 of file options.h.

## ◆ gui_gtk3_22_migrated_from_gtk3

bool client_options::gui_gtk3_22_migrated_from_gtk3

Definition at line 134 of file options.h.

Referenced by activate_gui(), and migrate_options_from_gtk3().

## ◆ gui_gtk3_22_mouse_over_map_focus

bool client_options::gui_gtk3_22_mouse_over_map_focus

Definition at line 315 of file options.h.

## ◆ gui_gtk3_22_new_messages_go_to_top

bool client_options::gui_gtk3_22_new_messages_go_to_top

Definition at line 309 of file options.h.

## ◆ gui_gtk3_22_popup_tech_help

int client_options::gui_gtk3_22_popup_tech_help

Definition at line 319 of file options.h.

## ◆ gui_gtk3_22_show_chat_message_time

bool client_options::gui_gtk3_22_show_chat_message_time

Definition at line 308 of file options.h.

## ◆ gui_gtk3_22_show_message_window_buttons

bool client_options::gui_gtk3_22_show_message_window_buttons

Definition at line 310 of file options.h.

## ◆ gui_gtk3_22_show_task_icons

bool client_options::gui_gtk3_22_show_task_icons

Definition at line 306 of file options.h.

## ◆ gui_gtk3_22_small_display_layout

bool client_options::gui_gtk3_22_small_display_layout

Definition at line 314 of file options.h.

## ◆ gui_gtk3_allied_chat_only

bool client_options::gui_gtk3_allied_chat_only

Definition at line 276 of file options.h.

## ◆ gui_gtk3_chatline_autocompletion

bool client_options::gui_gtk3_chatline_autocompletion

Definition at line 280 of file options.h.

## ◆ gui_gtk3_citydlg_xsize

int client_options::gui_gtk3_citydlg_xsize

Definition at line 281 of file options.h.

## ◆ gui_gtk3_citydlg_ysize

int client_options::gui_gtk3_citydlg_ysize

Definition at line 282 of file options.h.

## ◆ gui_gtk3_dialogs_on_top

bool client_options::gui_gtk3_dialogs_on_top

Definition at line 269 of file options.h.

## ◆ gui_gtk3_enable_tabs

bool client_options::gui_gtk3_enable_tabs

Definition at line 271 of file options.h.

## ◆ gui_gtk3_font_beta_label

char client_options::gui_gtk3_font_beta_label[FONT_NAME_SIZE]

Definition at line 293 of file options.h.

## ◆ gui_gtk3_font_chatline

char client_options::gui_gtk3_font_chatline[FONT_NAME_SIZE]

Definition at line 292 of file options.h.

## ◆ gui_gtk3_font_city_label

char client_options::gui_gtk3_font_city_label[FONT_NAME_SIZE]

Definition at line 286 of file options.h.

## ◆ gui_gtk3_font_city_names

char client_options::gui_gtk3_font_city_names[FONT_NAME_SIZE]

Definition at line 296 of file options.h.

## ◆ gui_gtk3_font_city_productions

char client_options::gui_gtk3_font_city_productions[FONT_NAME_SIZE]

Definition at line 297 of file options.h.

## ◆ gui_gtk3_font_comment_label

char client_options::gui_gtk3_font_comment_label[FONT_NAME_SIZE]

Definition at line 295 of file options.h.

## ◆ gui_gtk3_font_help_label

char client_options::gui_gtk3_font_help_label[FONT_NAME_SIZE]

Definition at line 289 of file options.h.

## ◆ gui_gtk3_font_help_link

char client_options::gui_gtk3_font_help_link[FONT_NAME_SIZE]

Definition at line 290 of file options.h.

## ◆ gui_gtk3_font_help_text

char client_options::gui_gtk3_font_help_text[FONT_NAME_SIZE]

Definition at line 291 of file options.h.

## ◆ gui_gtk3_font_notify_label

char client_options::gui_gtk3_font_notify_label[FONT_NAME_SIZE]

Definition at line 287 of file options.h.

## ◆ gui_gtk3_font_reqtree_text

char client_options::gui_gtk3_font_reqtree_text[FONT_NAME_SIZE]

Definition at line 298 of file options.h.

## ◆ gui_gtk3_font_small

char client_options::gui_gtk3_font_small[FONT_NAME_SIZE]

Definition at line 294 of file options.h.

## ◆ gui_gtk3_font_spaceship_label

char client_options::gui_gtk3_font_spaceship_label[FONT_NAME_SIZE]

Definition at line 288 of file options.h.

## ◆ gui_gtk3_fullscreen

bool client_options::gui_gtk3_fullscreen

Definition at line 267 of file options.h.

Referenced by migrate_options_from_gtk3().

## ◆ gui_gtk3_governor_range_max

int client_options::gui_gtk3_governor_range_max

Definition at line 285 of file options.h.

## ◆ gui_gtk3_governor_range_min

int client_options::gui_gtk3_governor_range_min

Definition at line 284 of file options.h.

## ◆ gui_gtk3_map_scrollbars

bool client_options::gui_gtk3_map_scrollbars

Definition at line 268 of file options.h.

## ◆ gui_gtk3_message_chat_location

int client_options::gui_gtk3_message_chat_location

Definition at line 277 of file options.h.

## ◆ gui_gtk3_metaserver_tab_first

bool client_options::gui_gtk3_metaserver_tab_first

Definition at line 275 of file options.h.

## ◆ gui_gtk3_migrated_from_2_5

bool client_options::gui_gtk3_migrated_from_2_5

Definition at line 140 of file options.h.

Referenced by activate_gui(), migrate_options_from_gtk3(), and ui_main().

## ◆ gui_gtk3_migrated_from_gtk2

bool client_options::gui_gtk3_migrated_from_gtk2

Definition at line 133 of file options.h.

Referenced by activate_gui(), migrate_options_from_gtk2(), and ui_main().

## ◆ gui_gtk3_mouse_over_map_focus

bool client_options::gui_gtk3_mouse_over_map_focus

Definition at line 279 of file options.h.

## ◆ gui_gtk3_new_messages_go_to_top

bool client_options::gui_gtk3_new_messages_go_to_top

Definition at line 273 of file options.h.

## ◆ gui_gtk3_popup_tech_help

int client_options::gui_gtk3_popup_tech_help

Definition at line 283 of file options.h.

## ◆ gui_gtk3_show_chat_message_time

bool client_options::gui_gtk3_show_chat_message_time

Definition at line 272 of file options.h.

## ◆ gui_gtk3_show_message_window_buttons

bool client_options::gui_gtk3_show_message_window_buttons

Definition at line 274 of file options.h.

## ◆ gui_gtk3_show_task_icons

bool client_options::gui_gtk3_show_task_icons

Definition at line 270 of file options.h.

## ◆ gui_gtk3_small_display_layout

bool client_options::gui_gtk3_small_display_layout

Definition at line 278 of file options.h.

## ◆ gui_gtk4_allied_chat_only

bool client_options::gui_gtk4_allied_chat_only

Definition at line 348 of file options.h.

## ◆ gui_gtk4_chatline_autocompletion

bool client_options::gui_gtk4_chatline_autocompletion

Definition at line 352 of file options.h.

## ◆ gui_gtk4_citydlg_xsize

int client_options::gui_gtk4_citydlg_xsize

Definition at line 353 of file options.h.

## ◆ gui_gtk4_citydlg_ysize

int client_options::gui_gtk4_citydlg_ysize

Definition at line 354 of file options.h.

## ◆ gui_gtk4_default_theme_name

char client_options::gui_gtk4_default_theme_name[512]

Definition at line 338 of file options.h.

Referenced by tileset_use_preferred_theme().

## ◆ gui_gtk4_dialogs_on_top

bool client_options::gui_gtk4_dialogs_on_top

Definition at line 341 of file options.h.

## ◆ gui_gtk4_enable_tabs

bool client_options::gui_gtk4_enable_tabs

Definition at line 343 of file options.h.

## ◆ gui_gtk4_font_beta_label

char client_options::gui_gtk4_font_beta_label[FONT_NAME_SIZE]

Definition at line 365 of file options.h.

## ◆ gui_gtk4_font_chatline

char client_options::gui_gtk4_font_chatline[FONT_NAME_SIZE]

Definition at line 364 of file options.h.

## ◆ gui_gtk4_font_city_label

char client_options::gui_gtk4_font_city_label[FONT_NAME_SIZE]

Definition at line 358 of file options.h.

## ◆ gui_gtk4_font_city_names

char client_options::gui_gtk4_font_city_names[FONT_NAME_SIZE]

Definition at line 368 of file options.h.

## ◆ gui_gtk4_font_city_productions

char client_options::gui_gtk4_font_city_productions[FONT_NAME_SIZE]

Definition at line 369 of file options.h.

## ◆ gui_gtk4_font_comment_label

char client_options::gui_gtk4_font_comment_label[FONT_NAME_SIZE]

Definition at line 367 of file options.h.

## ◆ gui_gtk4_font_help_label

char client_options::gui_gtk4_font_help_label[FONT_NAME_SIZE]

Definition at line 361 of file options.h.

## ◆ gui_gtk4_font_help_link

char client_options::gui_gtk4_font_help_link[FONT_NAME_SIZE]

Definition at line 362 of file options.h.

## ◆ gui_gtk4_font_help_text

char client_options::gui_gtk4_font_help_text[FONT_NAME_SIZE]

Definition at line 363 of file options.h.

## ◆ gui_gtk4_font_notify_label

char client_options::gui_gtk4_font_notify_label[FONT_NAME_SIZE]

Definition at line 359 of file options.h.

## ◆ gui_gtk4_font_reqtree_text

char client_options::gui_gtk4_font_reqtree_text[FONT_NAME_SIZE]

Definition at line 370 of file options.h.

## ◆ gui_gtk4_font_small

char client_options::gui_gtk4_font_small[FONT_NAME_SIZE]

Definition at line 366 of file options.h.

## ◆ gui_gtk4_font_spaceship_label

char client_options::gui_gtk4_font_spaceship_label[FONT_NAME_SIZE]

Definition at line 360 of file options.h.

## ◆ gui_gtk4_fullscreen

bool client_options::gui_gtk4_fullscreen

Definition at line 339 of file options.h.

## ◆ gui_gtk4_governor_range_max

int client_options::gui_gtk4_governor_range_max

Definition at line 357 of file options.h.

## ◆ gui_gtk4_governor_range_min

int client_options::gui_gtk4_governor_range_min

Definition at line 356 of file options.h.

## ◆ gui_gtk4_map_scrollbars

bool client_options::gui_gtk4_map_scrollbars

Definition at line 340 of file options.h.

## ◆ gui_gtk4_message_chat_location

int client_options::gui_gtk4_message_chat_location

Definition at line 349 of file options.h.

## ◆ gui_gtk4_metaserver_tab_first

bool client_options::gui_gtk4_metaserver_tab_first

Definition at line 347 of file options.h.

## ◆ gui_gtk4_migrated_from_gtk3_22

bool client_options::gui_gtk4_migrated_from_gtk3_22

Definition at line 136 of file options.h.

Referenced by activate_gui(), and migrate_options_from_gtk3_22().

## ◆ gui_gtk4_mouse_over_map_focus

bool client_options::gui_gtk4_mouse_over_map_focus

Definition at line 351 of file options.h.

## ◆ gui_gtk4_new_messages_go_to_top

bool client_options::gui_gtk4_new_messages_go_to_top

Definition at line 345 of file options.h.

## ◆ gui_gtk4_popup_tech_help

int client_options::gui_gtk4_popup_tech_help

Definition at line 355 of file options.h.

## ◆ gui_gtk4_show_chat_message_time

bool client_options::gui_gtk4_show_chat_message_time

Definition at line 344 of file options.h.

## ◆ gui_gtk4_show_message_window_buttons

bool client_options::gui_gtk4_show_message_window_buttons

Definition at line 346 of file options.h.

## ◆ gui_gtk4_show_task_icons

bool client_options::gui_gtk4_show_task_icons

Definition at line 342 of file options.h.

## ◆ gui_gtk4_small_display_layout

bool client_options::gui_gtk4_small_display_layout

Definition at line 350 of file options.h.

## ◆ gui_gtk5_allied_chat_only

bool client_options::gui_gtk5_allied_chat_only

Definition at line 384 of file options.h.

## ◆ gui_gtk5_chatline_autocompletion

bool client_options::gui_gtk5_chatline_autocompletion

Definition at line 388 of file options.h.

## ◆ gui_gtk5_citydlg_xsize

int client_options::gui_gtk5_citydlg_xsize

Definition at line 389 of file options.h.

## ◆ gui_gtk5_citydlg_ysize

int client_options::gui_gtk5_citydlg_ysize

Definition at line 390 of file options.h.

## ◆ gui_gtk5_default_theme_name

char client_options::gui_gtk5_default_theme_name[512]

Definition at line 374 of file options.h.

Referenced by tileset_use_preferred_theme().

## ◆ gui_gtk5_dialogs_on_top

bool client_options::gui_gtk5_dialogs_on_top

Definition at line 377 of file options.h.

## ◆ gui_gtk5_enable_tabs

bool client_options::gui_gtk5_enable_tabs

Definition at line 379 of file options.h.

## ◆ gui_gtk5_font_beta_label

char client_options::gui_gtk5_font_beta_label[FONT_NAME_SIZE]

Definition at line 401 of file options.h.

## ◆ gui_gtk5_font_chatline

char client_options::gui_gtk5_font_chatline[FONT_NAME_SIZE]

Definition at line 400 of file options.h.

## ◆ gui_gtk5_font_city_label

char client_options::gui_gtk5_font_city_label[FONT_NAME_SIZE]

Definition at line 394 of file options.h.

## ◆ gui_gtk5_font_city_names

char client_options::gui_gtk5_font_city_names[FONT_NAME_SIZE]

Definition at line 404 of file options.h.

## ◆ gui_gtk5_font_city_productions

char client_options::gui_gtk5_font_city_productions[FONT_NAME_SIZE]

Definition at line 405 of file options.h.

## ◆ gui_gtk5_font_comment_label

char client_options::gui_gtk5_font_comment_label[FONT_NAME_SIZE]

Definition at line 403 of file options.h.

## ◆ gui_gtk5_font_help_label

char client_options::gui_gtk5_font_help_label[FONT_NAME_SIZE]

Definition at line 397 of file options.h.

## ◆ gui_gtk5_font_help_link

char client_options::gui_gtk5_font_help_link[FONT_NAME_SIZE]

Definition at line 398 of file options.h.

## ◆ gui_gtk5_font_help_text

char client_options::gui_gtk5_font_help_text[FONT_NAME_SIZE]

Definition at line 399 of file options.h.

## ◆ gui_gtk5_font_notify_label

char client_options::gui_gtk5_font_notify_label[FONT_NAME_SIZE]

Definition at line 395 of file options.h.

## ◆ gui_gtk5_font_reqtree_text

char client_options::gui_gtk5_font_reqtree_text[FONT_NAME_SIZE]

Definition at line 406 of file options.h.

## ◆ gui_gtk5_font_small

char client_options::gui_gtk5_font_small[FONT_NAME_SIZE]

Definition at line 402 of file options.h.

## ◆ gui_gtk5_font_spaceship_label

char client_options::gui_gtk5_font_spaceship_label[FONT_NAME_SIZE]

Definition at line 396 of file options.h.

## ◆ gui_gtk5_fullscreen

bool client_options::gui_gtk5_fullscreen

Definition at line 375 of file options.h.

## ◆ gui_gtk5_governor_range_max

int client_options::gui_gtk5_governor_range_max

Definition at line 393 of file options.h.

## ◆ gui_gtk5_governor_range_min

int client_options::gui_gtk5_governor_range_min

Definition at line 392 of file options.h.

## ◆ gui_gtk5_map_scrollbars

bool client_options::gui_gtk5_map_scrollbars

Definition at line 376 of file options.h.

## ◆ gui_gtk5_message_chat_location

int client_options::gui_gtk5_message_chat_location

Definition at line 385 of file options.h.

## ◆ gui_gtk5_metaserver_tab_first

bool client_options::gui_gtk5_metaserver_tab_first

Definition at line 383 of file options.h.

## ◆ gui_gtk5_migrated_from_gtk4

bool client_options::gui_gtk5_migrated_from_gtk4

Definition at line 135 of file options.h.

Referenced by activate_gui(), and migrate_options_from_gtk4().

## ◆ gui_gtk5_mouse_over_map_focus

bool client_options::gui_gtk5_mouse_over_map_focus

Definition at line 387 of file options.h.

## ◆ gui_gtk5_new_messages_go_to_top

bool client_options::gui_gtk5_new_messages_go_to_top

Definition at line 381 of file options.h.

## ◆ gui_gtk5_popup_tech_help

int client_options::gui_gtk5_popup_tech_help

Definition at line 391 of file options.h.

## ◆ gui_gtk5_show_chat_message_time

bool client_options::gui_gtk5_show_chat_message_time

Definition at line 380 of file options.h.

## ◆ gui_gtk5_show_message_window_buttons

bool client_options::gui_gtk5_show_message_window_buttons

Definition at line 382 of file options.h.

## ◆ gui_gtk5_show_task_icons

bool client_options::gui_gtk5_show_task_icons

Definition at line 378 of file options.h.

## ◆ gui_gtk5_small_display_layout

bool client_options::gui_gtk5_small_display_layout

Definition at line 386 of file options.h.

## ◆ gui_qt_allied_chat_only

bool client_options::gui_qt_allied_chat_only

Definition at line 445 of file options.h.

Referenced by chatwdg::chatwdg(), fc_client::init(), chat_listener::send_chat_message(), and chatwdg::state_changed().

## ◆ gui_qt_default_fonts_set

bool client_options::gui_qt_default_fonts_set

Definition at line 142 of file options.h.

Referenced by qtg_ui_main().

## ◆ gui_qt_default_theme_name

char client_options::gui_qt_default_theme_name[512]

Definition at line 447 of file options.h.

Referenced by qtg_get_usable_themes_in_directory(), qtg_ui_main(), and map_view::shortcut_pressed().

## ◆ gui_qt_font_chatline

char client_options::gui_qt_font_chatline[FONT_NAME_SIZE]

Definition at line 452 of file options.h.

Referenced by configure_fonts().

## ◆ gui_qt_font_city_names

char client_options::gui_qt_font_city_names[FONT_NAME_SIZE]

Definition at line 453 of file options.h.

Referenced by configure_fonts().

## ◆ gui_qt_font_city_productions

char client_options::gui_qt_font_city_productions[FONT_NAME_SIZE]

Definition at line 454 of file options.h.

Referenced by configure_fonts().

## ◆ gui_qt_font_default

char client_options::gui_qt_font_default[FONT_NAME_SIZE]

Definition at line 448 of file options.h.

Referenced by configure_fonts().

## ◆ gui_qt_font_help_label

char client_options::gui_qt_font_help_label[FONT_NAME_SIZE]

Definition at line 450 of file options.h.

## ◆ gui_qt_font_help_text

char client_options::gui_qt_font_help_text[FONT_NAME_SIZE]

Definition at line 451 of file options.h.

Referenced by configure_fonts().

## ◆ gui_qt_font_notify_label

char client_options::gui_qt_font_notify_label[FONT_NAME_SIZE]

Definition at line 449 of file options.h.

Referenced by configure_fonts().

## ◆ gui_qt_font_reqtree_text

char client_options::gui_qt_font_reqtree_text[FONT_NAME_SIZE]

Definition at line 455 of file options.h.

Referenced by configure_fonts().

## ◆ gui_qt_fullscreen

bool client_options::gui_qt_fullscreen

Definition at line 443 of file options.h.

Referenced by fc_client::apply_fullscreen(), migrate_options_from_2_5(), mr_menu::setup_menus(), mr_menu::slot_fullscreen(), and fc_client::switch_page().

## ◆ gui_qt_migrated_from_2_5

bool client_options::gui_qt_migrated_from_2_5

Definition at line 141 of file options.h.

Referenced by migrate_options_from_2_5(), and qtg_ui_main().

## ◆ gui_qt_show_preview

bool client_options::gui_qt_show_preview

Definition at line 444 of file options.h.

Referenced by fc_client::create_load_page(), fc_client::state_preview(), and fc_client::update_load_page().

## ◆ gui_qt_show_relations_panel

bool client_options::gui_qt_show_relations_panel

Definition at line 458 of file options.h.

Referenced by plr_report::plr_report(), and plr_report::show_relations_toggle().

## ◆ gui_qt_show_techs_panel

bool client_options::gui_qt_show_techs_panel

Definition at line 459 of file options.h.

Referenced by plr_report::plr_report(), and plr_report::show_techs_toggle().

## ◆ gui_qt_show_titlebar

bool client_options::gui_qt_show_titlebar

Definition at line 456 of file options.h.

Referenced by fc_client::init(), and fc_client::switch_page().

## ◆ gui_qt_show_wonders_panel

bool client_options::gui_qt_show_wonders_panel

Definition at line 460 of file options.h.

Referenced by plr_report::plr_report(), and plr_report::show_wonders_toggle().

## ◆ gui_qt_sidebar_left

bool client_options::gui_qt_sidebar_left

Definition at line 446 of file options.h.

Referenced by fc_client::create_game_page(), and fc_client::update_sidebar_position().

## ◆ gui_qt_svgflags

bool client_options::gui_qt_svgflags

Definition at line 461 of file options.h.

Referenced by qtg_ui_main().

## ◆ gui_qt_wakeup_text

char client_options::gui_qt_wakeup_text[512]

Definition at line 457 of file options.h.

Referenced by qtg_real_output_window_append().

## ◆ gui_sdl2_default_screen_size_set

bool client_options::gui_sdl2_default_screen_size_set

Definition at line 143 of file options.h.

## ◆ gui_sdl2_default_theme_name

char client_options::gui_sdl2_default_theme_name[512]

Definition at line 417 of file options.h.

Referenced by tileset_use_preferred_theme().

## ◆ gui_sdl2_do_cursor_animation

bool client_options::gui_sdl2_do_cursor_animation

Definition at line 421 of file options.h.

## ◆ gui_sdl2_font_city_names

char client_options::gui_sdl2_font_city_names[64]

Definition at line 423 of file options.h.

## ◆ gui_sdl2_font_city_productions

char client_options::gui_sdl2_font_city_productions[64]

Definition at line 424 of file options.h.

## ◆ gui_sdl2_font_size

int client_options::gui_sdl2_font_size

Definition at line 426 of file options.h.

## ◆ gui_sdl2_fullscreen

bool client_options::gui_sdl2_fullscreen

Definition at line 418 of file options.h.

## ◆ gui_sdl2_migrated_from_sdl

bool client_options::gui_sdl2_migrated_from_sdl

Definition at line 137 of file options.h.

Referenced by migrate_options_from_sdl(), and ui_main().

## ◆ gui_sdl2_screen

struct video_mode client_options::gui_sdl2_screen

Definition at line 419 of file options.h.

## ◆ gui_sdl2_swrenderer

bool client_options::gui_sdl2_swrenderer

Definition at line 420 of file options.h.

## ◆ gui_sdl2_use_color_cursors

bool client_options::gui_sdl2_use_color_cursors

Definition at line 422 of file options.h.

## ◆ gui_sdl2_use_theme_font_size

bool client_options::gui_sdl2_use_theme_font_size

Definition at line 425 of file options.h.

## ◆ gui_sdl3_default_screen_size_set

bool client_options::gui_sdl3_default_screen_size_set

Definition at line 144 of file options.h.

## ◆ gui_sdl3_default_theme_name

char client_options::gui_sdl3_default_theme_name[512]

Definition at line 430 of file options.h.

Referenced by tileset_use_preferred_theme().

## ◆ gui_sdl3_do_cursor_animation

bool client_options::gui_sdl3_do_cursor_animation

Definition at line 434 of file options.h.

## ◆ gui_sdl3_font_city_names

char client_options::gui_sdl3_font_city_names[64]

Definition at line 436 of file options.h.

## ◆ gui_sdl3_font_city_productions

char client_options::gui_sdl3_font_city_productions[64]

Definition at line 437 of file options.h.

## ◆ gui_sdl3_font_size

int client_options::gui_sdl3_font_size

Definition at line 439 of file options.h.

## ◆ gui_sdl3_fullscreen

bool client_options::gui_sdl3_fullscreen

Definition at line 431 of file options.h.

## ◆ gui_sdl3_migrated_from_sdl2

bool client_options::gui_sdl3_migrated_from_sdl2

Definition at line 138 of file options.h.

Referenced by migrate_options_from_sdl2(), and ui_main().

## ◆ gui_sdl3_screen

struct video_mode client_options::gui_sdl3_screen

Definition at line 432 of file options.h.

## ◆ gui_sdl3_swrenderer

bool client_options::gui_sdl3_swrenderer

Definition at line 433 of file options.h.

## ◆ gui_sdl3_use_color_cursors

bool client_options::gui_sdl3_use_color_cursors

Definition at line 435 of file options.h.

## ◆ gui_sdl3_use_theme_font_size

bool client_options::gui_sdl3_use_theme_font_size

Definition at line 438 of file options.h.

## ◆ gui_sdl_do_cursor_animation

bool client_options::gui_sdl_do_cursor_animation

Definition at line 412 of file options.h.

## ◆ gui_sdl_fullscreen

bool client_options::gui_sdl_fullscreen

Definition at line 410 of file options.h.

## ◆ gui_sdl_screen

struct video_mode client_options::gui_sdl_screen

Definition at line 411 of file options.h.

## ◆ gui_sdl_use_color_cursors

bool client_options::gui_sdl_use_color_cursors

Definition at line 413 of file options.h.

## ◆ heartbeat_enabled

bool client_options::heartbeat_enabled

Definition at line 112 of file options.h.

Referenced by real_timer_callback().

## ◆ highlight_our_names

struct ft_color client_options::highlight_our_names

Definition at line 177 of file options.h.

Referenced by handle_event().

## ◆ keyboardless_goto

bool client_options::keyboardless_goto

Definition at line 173 of file options.h.

Referenced by do_map_click().

## ◆ mapimg_filename

char client_options::mapimg_filename[512]

Definition at line 229 of file options.h.

Referenced by mapimg_client_createmap().

## ◆ mapimg_format

char client_options::mapimg_format[64]

Definition at line 226 of file options.h.

Referenced by mapimg_client_define().

## ◆ mapimg_layer

bool client_options::mapimg_layer[MAPIMG_LAYER_COUNT]

Definition at line 228 of file options.h.

Referenced by mapimg_client_define().

## ◆ mapimg_zoom

int client_options::mapimg_zoom

Definition at line 227 of file options.h.

Referenced by mapimg_client_define().

## ◆ meta_accelerators

bool client_options::meta_accelerators

Definition at line 166 of file options.h.

## ◆ migrate_fullscreen

bool client_options::migrate_fullscreen

Definition at line 146 of file options.h.

Referenced by migrate_options_from_2_5(), and migrate_options_from_gtk3().

## ◆ overview

struct overview client_options::overview

Definition at line 463 of file options.h.

Referenced by calculate_overview_dimensions(), center_tile_overviewcanvas(), minimap_view::draw_viewport(), gui_to_overview(), gui_to_overview_pos(), map_to_overview_pos(), minimap_view::mousePressEvent(), overview_canvas_draw(), overview_canvas_draw(), overview_free(), overview_size_changed(), overview_tile_color(), overview_to_map_pos(), overview_update_tile(), minimap_view::paint(), put_overview_tile_area(), redraw_overview(), refresh_overview_from_canvas(), resize_minimap(), minimap_view::resizeEvent(), minimap_thread::run(), minimap_view::scale_point(), unscale_point(), and minimap_view::zoom_in().

## ◆ player_dlg_show_dead_players

bool client_options::player_dlg_show_dead_players

Definition at line 221 of file options.h.

Referenced by create_dead_players_menu_item(), create_show_menu(), player_should_be_shown(), toggle_dead_players(), and toggle_dead_players().

## ◆ popup_actor_arrival

bool client_options::popup_actor_arrival

Definition at line 169 of file options.h.

Referenced by should_ask_server_for_actions().

## ◆ popup_attack_actions

bool client_options::popup_attack_actions

Definition at line 170 of file options.h.

Referenced by action_decision_handle().

## ◆ popup_last_move_to_allied

bool client_options::popup_last_move_to_allied

Definition at line 171 of file options.h.

Referenced by order_wants_direction(), request_move_unit_direction(), and send_goto_route().

## ◆ popup_new_cities

bool client_options::popup_new_cities

Definition at line 168 of file options.h.

Referenced by handle_city_info().

## ◆ reqtree_curved_lines

bool client_options::reqtree_curved_lines

Definition at line 223 of file options.h.

Referenced by draw_reqtree().

## ◆ reqtree_show_icons

bool client_options::reqtree_show_icons

Definition at line 222 of file options.h.

Referenced by research_diagram::create_tooltip_help(), draw_reqtree(), and node_rectangle_minimum_size().

## ◆ save_options_on_exit

bool client_options::save_options_on_exit

Definition at line 125 of file options.h.

Referenced by client_exit(), disconnect_from_server(), real_menus_init(), save_options_on_exit_callback(), save_options_on_exit_callback(), and mr_menu::setup_menus().

## ◆ send_desired_settings

bool client_options::send_desired_settings

Definition at line 113 of file options.h.

Referenced by resend_desired_settable_options().

## ◆ separate_unit_selection

bool client_options::separate_unit_selection

Definition at line 175 of file options.h.

Referenced by define_tiles_within_rectangle().

## ◆ show_previous_turn_messages

bool client_options::show_previous_turn_messages

Definition at line 163 of file options.h.

Referenced by meswin_clear_older().

## ◆ silent_when_not_in_focus

bool client_options::silent_when_not_in_focus

Definition at line 192 of file options.h.

Referenced by timer_callback().

## ◆ smooth_center_slide_msec

int client_options::smooth_center_slide_msec

Definition at line 153 of file options.h.

Referenced by set_mapview_origin().

## ◆ smooth_combat_step_msec

int client_options::smooth_combat_step_msec

Definition at line 154 of file options.h.

Referenced by battle_animation(), decrease_unit_hp_smooth(), explosion_animation(), and handle_unit_combat_info().

## ◆ smooth_move_unit_msec

int client_options::smooth_move_unit_msec

Definition at line 152 of file options.h.

Referenced by do_move_unit(), move_unit_map_canvas(), and movement_animation().

## ◆ solid_color_behind_units

bool client_options::solid_color_behind_units

Local Options:

Definition at line 150 of file options.h.

Referenced by fill_sprite_array(), fill_unit_sprite_array(), real_menus_init(), request_toggle_unit_solid_bg(), and show_unit_solid_bg_callback().

## ◆ sound_bell_at_new_turn

bool client_options::sound_bell_at_new_turn

Definition at line 151 of file options.h.

Referenced by handle_new_year().

## ◆ sound_effects_volume

int client_options::sound_effects_volume

Definition at line 191 of file options.h.

Referenced by audio_select_plugin(), key_press_map_canvas(), and key_press_map_canvas().

## ◆ sound_enable_effects

bool client_options::sound_enable_effects

Definition at line 188 of file options.h.

Referenced by audio_play_sound().

## ◆ sound_enable_game_music

bool client_options::sound_enable_game_music

Definition at line 190 of file options.h.

Referenced by music_finished_callback(), and start_style_music().

## ◆ sound_enable_menu_music

bool client_options::sound_enable_menu_music

Definition at line 189 of file options.h.

Referenced by music_finished_callback(), and start_menu_music().

## ◆ unit_selection_clears_orders

bool client_options::unit_selection_clears_orders

Definition at line 176 of file options.h.

Referenced by current_focus_append(), mr_menu::slot_select_same_continent(), and mr_menu::slot_select_same_everywhere().

## ◆ update_city_text_in_refresh_tile

bool client_options::update_city_text_in_refresh_tile

Definition at line 172 of file options.h.

## ◆ use_prev_server

bool client_options::use_prev_server

Definition at line 111 of file options.h.

Referenced by client_main(), and connect_to_server().

## ◆ voteinfo_bar_always_show

bool client_options::voteinfo_bar_always_show

Definition at line 180 of file options.h.

Referenced by voteinfo_bar_can_be_shown().

## ◆ voteinfo_bar_hide_when_not_player

bool client_options::voteinfo_bar_hide_when_not_player

Definition at line 181 of file options.h.

Referenced by voteinfo_bar_can_be_shown().

## ◆ voteinfo_bar_new_at_front

bool client_options::voteinfo_bar_new_at_front

Definition at line 182 of file options.h.

Referenced by voteinfo_queue_add().

## ◆ voteinfo_bar_use

bool client_options::voteinfo_bar_use

Definition at line 179 of file options.h.

Referenced by voteinfo_bar_can_be_shown().

## ◆ wakeup_focus

bool client_options::wakeup_focus

Definition at line 160 of file options.h.

Referenced by handle_unit_packet_common().

## ◆ zoom_default_level

float client_options::zoom_default_level

Definition at line 232 of file options.h.

Referenced by parse_options(), and set_client_page_callback().

## ◆ zoom_set

bool client_options::zoom_set

Definition at line 231 of file options.h.

Referenced by parse_options(), and set_client_page_callback().